Name:           gnome-maps
Version:        3.14.2
Release:        1%{?dist}
Summary:        Map application for GNOME

License:        GPLv2+
URL:            http://wiki.gnome.org/Maps
Source0:        http://download.gnome.org/sources/gnome-maps/3.14/gnome-maps-%{version}.tar.xz

BuildRequires:  gjs-devel
BuildRequires:  intltool
BuildRequires:  desktop-file-utils

Requires:       clutter
Requires:       clutter-gtk
Requires:       cogl
Requires:       dbus
Requires:       gdk-pixbuf2
Requires:       geoclue2
Requires:       geocode-glib
Requires:       gjs
Requires:       gobject-introspection
Requires:       gtk3
Requires:       libchamplain
Requires:       libchamplain-gtk

%define emerillon_version 0.1.90-15
Obsoletes: emerillon < %{emerillon_version}
Obsoletes: emerillon-devel < %{emerillon_version}
Obsoletes: emerillon-vala < %{emerillon_version}

%description
GNOME Maps is a simple map application for the GNOME desktop.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
%make_install
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/org.gnome.Maps.desktop
%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
touch --no-create %{_datadir}/icons/HighContrast >&/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
    touch --no-create %{_datadir}/icons/HighContrast >&/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/HighContrast >&/dev/null || :
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
gtk-update-icon-cache %{_datadir}/icons/HighContrast >&/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/appdata/org.gnome.Maps.appdata.xml
%{_datadir}/applications/org.gnome.Maps.desktop
%{_datadir}/dbus-1/services/org.gnome.Maps.service
%{_datadir}/glib-2.0/schemas/org.gnome.maps.gschema.xml
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/HighContrast/*/apps/gnome-maps.png

%changelog
* Mon Nov 10 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.2-1
- Update to 3.14.2

* Mon Oct 13 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.1.2-1
- Update to 3.14.1.2

* Sat Oct 11 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.1-1
- Update to 3.14.1

* Mon Sep 22 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.0-1
- Update to 3.14.0

* Tue Sep 16 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.92-1
- Update to 3.13.92

* Wed Sep 03 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.91-1
- Update to 3.13.91
- Include HighContrast icons

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.13.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jul 19 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.4-1
- Update to 3.13.4

* Wed Jun 25 2014 Richard Hughes <rhughes@redhat.com> - 3.13.3-1
- Update to 3.13.3

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.13.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.2-1
- Update to 3.13.2

* Thu May 15 2014 Kalev Lember <kalevlember@gmail.com> - 3.12.2-1
- Update to 3.12.2

* Tue Apr 15 2014 Kalev Lember <kalevlember@gmail.com> - 3.12.1-1
- Update to 3.12.1

* Mon Mar 24 2014 Richard Hughes <rhughes@redhat.com> - 3.12.0-1
- Update to 3.12.0

* Tue Mar 18 2014 Richard Hughes <rhughes@redhat.com> - 3.11.92-1
- Update to 3.11.92

* Tue Mar 04 2014 Richard Hughes <rhughes@redhat.com> - 3.11.91-1
- Update to 3.11.91

* Tue Feb 18 2014 Richard Hughes <rhughes@redhat.com> - 3.11.90-1
- Update to 3.11.90

* Wed Feb 05 2014 Richard Hughes <rhughes@redhat.com> - 3.11.5.1-1
- Update to 3.11.5.1

* Wed Feb 05 2014 Richard Hughes <rhughes@redhat.com> - 3.11.5-1
- Update to 3.11.5

* Wed Jan 15 2014 Richard Hughes <rhughes@redhat.com> - 3.11.4.1-1
- Update to 3.11.4.1

* Mon Nov 25 2013 Richard Hughes <rhughes@redhat.com> - 3.11.2-1
- Update to 3.11.2

* Thu Nov 14 2013 Richard Hughes <rhughes@redhat.com> - 3.10.2-1
- Update to 3.10.2

* Wed Sep 25 2013 Kalev Lember <kalevlember@gmail.com> - 3.10.0-1
- Update to 3.10.0

* Wed Sep 18 2013 Kalev Lember <kalevlember@gmail.com> - 3.9.92-2
- Build the package as noarch

* Wed Sep 18 2013 Kalev Lember <kalevlember@gmail.com> - 3.9.92-1
- Update to 3.9.92

* Sun Sep 08 2013 Elad Alfassa <elad@fedoraproject.org> - 3.9.91-2
- Remove useless debuginfo package

* Tue Sep 03 2013 Kalev Lember <kalevlember@gmail.com> - 3.9.91-1
- Update to 3.9.91

* Tue Aug 27 2013 Elad Alfassa <elad@fedoraproject.org> - 3.9.90.2-3
- Add requires on gjs
- Make sure we have the right architecture of libraries installed

* Tue Aug 27 2013 Elad Alfassa <elad@fedoraproject.org> - 3.9.90.2-2
- Fix issues from review

* Sat Aug 24 2013 Elad Alfassa <elad@fedoraproject.org> - 3.9.90.2-1
- Now uses the geoclue dbus service instead of the library
- gnome-maps is JS only, so it should be a noarch package

* Sat Aug 24 2013 Elad Alfassa <elad@fedoraproject.org> - 3.9.90.1-2
- Add missing icon-cache update and glib schema compilation scripts

* Fri Aug 23 2013 Elad Alfassa <elad@fedoraproject.org> - 3.9.90.1-1
- Initial packaging for review
